Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.alphabets
Class DNAAlphabetContainer

    java.lang.Object
      de.jstacs.data.AlphabetContainer
          de.jstacs.data.alphabets.DNAAlphabetContainer

All Implemented Interfaces:
  InstantiableFromParameterSet, Singleton, Storable, Comparable<AlphabetContainer>

    public final class DNAAlphabetContainer

extends AlphabetContainer
implements Singleton

This class implements a singleton for an `AlphabetContainer` that can be used for DNA.

Author:
  Jens Keilwagen, Jan Grau
See Also:
  `Singleton`, `DNAAlphabet`, `DNADataSet`

Nested Class Summary
`static class` | `DNAAlphabetContainer.DNAAlphabetContainerParameterSet` This class implements a singleton for the `ParameterSet` of a `DNAAlphabetContainer`.

Nested classes/interfaces inherited from class de.jstacs.data.AlphabetContainer
`AlphabetContainer.AbstractAlphabetContainerParameterSet<T extends AlphabetContainer>, AlphabetContainer.AlphabetContainerType`

Nested classes/interfaces inherited from interface de.jstacs.Singleton
`Singleton.SingletonHandler`

Field Summary
`static DNAAlphabetContainer` | `SINGLETON` The only instance of this class.

Fields inherited from class de.jstacs.data.AlphabetContainer
`parameters`

Method Summary

Methods inherited from class de.jstacs.data.AlphabetContainer
`checkConsistency, compareTo, getAlphabetAt, getAlphabetIndexForPosition, getAlphabetLengthAt, getCode, getCompositeContainer, getCurrentParameterSet, getDelim, getIndexForAlphabets, getMaximalAlphabetLength, getMin, getMinimalAlphabetLength, getNumberOfAlphabets, getPossibleLength, getSimplifiedAlphabetContainer, getSubContainer, getSymbol, getType, ignoresCase, insertAlphabet, isDiscrete, isDiscreteAt, isEncodedSymbol, isReverseComplementable, isSimple, toDiscrete, toString, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SINGLETON

    public static final DNAAlphabetContainer SINGLETON

  The only instance of this class.

  See Also:
    `Singleton`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD